> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Credits

> A `GET` to the `/credits` endpoint allows your application to retrieve all a tenants Credit records.



## OpenAPI

````yaml get /v3/credits
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/credits:
    get:
      tags:
        - Credit
      summary: Browse Credits
      description: >-
        A `GET` to the `/credits` endpoint allows your application to retrieve
        all a tenants Credit records.
      operationId: credits.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Paginated set of `Credit`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Credit'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Credit:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type:
            - string
            - 'null'
        creator_profile_id:
          type:
            - string
            - 'null'
        staff_id:
          type:
            - string
            - 'null'
        location_id:
          type:
            - integer
            - 'null'
        name:
          type:
            - string
            - 'null'
        credit_definition_id:
          type:
            - integer
            - 'null'
        definition:
          $ref: '#/components/schemas/CreditDefinition'
        timezone:
          type:
            - string
            - 'null'
        recipient_first_name:
          type:
            - string
            - 'null'
        recipient_email:
          type:
            - string
            - 'null'
        message:
          type:
            - string
            - 'null'
        issued_at:
          type: string
        expires_at:
          type: string
        released_at:
          type: string
        extended_at:
          type: string
        value_initial:
          type:
            - string
            - 'null'
        value_remaining:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        external_namespace:
          type:
            - string
            - 'null'
        credit_number:
          type:
            - string
            - 'null'
        security_code:
          type:
            - string
            - 'null'
        source_id:
          type:
            - integer
            - 'null'
        source_type:
          type:
            - string
            - 'null'
        locked:
          type: boolean
        lock_expires_at:
          type: string
        has_notified_issue:
          type: boolean
        has_notified_expiry:
          type: boolean
        has_notified_release:
          type: boolean
        has_notified_remind:
          type: boolean
        has_notified_extend:
          type: boolean
        meta:
          type:
            - array
            - 'null'
          items: {}
        is_imported:
          type: boolean
        is_system_generated:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - creator_profile_id
        - staff_id
        - location_id
        - name
        - credit_definition_id
        - timezone
        - recipient_first_name
        - recipient_email
        - message
        - issued_at
        - expires_at
        - released_at
        - extended_at
        - value_initial
        - value_remaining
        - external_id
        - external_namespace
        - credit_number
        - security_code
        - source_id
        - source_type
        - locked
        - lock_expires_at
        - has_notified_issue
        - has_notified_expiry
        - has_notified_release
        - has_notified_remind
        - has_notified_extend
        - meta
        - is_imported
        - is_system_generated
        - created_at
        - updated_at
      title: Credit
    CreditDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        timezone:
          type:
            - string
            - 'null'
        period:
          type:
            - integer
            - 'null'
        period_type:
          type:
            - string
            - 'null'
        absolute_expiry:
          type:
            - string
            - 'null'
        release_period:
          type:
            - integer
            - 'null'
        release_period_type:
          type:
            - string
            - 'null'
        release_period_absolute_expiry:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        is_archived:
          type: boolean
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        primary_colour:
          type:
            - string
            - 'null'
        secondary_colour:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        type:
          type: string
        value:
          type:
            - number
            - 'null'
        max_value:
          type:
            - number
            - 'null'
        currency_id:
          type:
            - integer
            - 'null'
        currency:
          type:
            - string
            - 'null'
        require_creator:
          type: boolean
        require_assigned:
          type: boolean
        is_extendable:
          type: boolean
        is_assignable:
          type: boolean
        is_releasable:
          type: boolean
        is_reassignable:
          type: boolean
        require_security_code:
          type: boolean
        extend_days:
          type:
            - integer
            - 'null'
        credit_number_range_type:
          type:
            - string
            - 'null'
        credit_number_range_start:
          type:
            - string
            - 'null'
        credit_number_range_end:
          type:
            - string
            - 'null'
        credit_number_length:
          type:
            - integer
            - 'null'
        security_code_type:
          type:
            - string
            - 'null'
        use_custom_numbers:
          type: boolean
        notify_schedule_offset:
          type:
            - integer
            - 'null'
        issue_target_id:
          type:
            - integer
            - 'null'
        expiry_target_id:
          type:
            - integer
            - 'null'
        release_target_id:
          type:
            - integer
            - 'null'
        remind_target_id:
          type:
            - integer
            - 'null'
        extend_target_id:
          type:
            - integer
            - 'null'
        notify_issue_offset_days:
          type:
            - integer
            - 'null'
        notify_issue_offset_hour:
          type:
            - integer
            - 'null'
        notify_remind_offset_days:
          type:
            - integer
            - 'null'
        notify_remind_offset_hour:
          type:
            - integer
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldRaw'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - region_id
        - region
        - timezone
        - period
        - period_type
        - absolute_expiry
        - release_period
        - release_period_type
        - release_period_absolute_expiry
        - is_published
        - is_archived
        - icon
        - image_url
        - primary_colour
        - secondary_colour
        - description
        - internal_notes
        - short_description
        - long_description
        - terms_conditions
        - earn_instructions
        - meta
        - type
        - value
        - max_value
        - currency_id
        - currency
        - require_creator
        - require_assigned
        - is_extendable
        - is_assignable
        - is_releasable
        - is_reassignable
        - require_security_code
        - extend_days
        - credit_number_range_type
        - credit_number_range_start
        - credit_number_range_end
        - credit_number_length
        - security_code_type
        - use_custom_numbers
        - notify_schedule_offset
        - issue_target_id
        - expiry_target_id
        - release_target_id
        - remind_target_id
        - extend_target_id
        - notify_issue_offset_days
        - notify_issue_offset_hour
        - notify_remind_offset_days
        - notify_remind_offset_hour
        - tags
        - created_at
        - updated_at
      title: CreditDefinition
    Tag:
      type: string
      title: Tag
    CustomFieldRaw:
      type: object
      properties:
        name:
          type: string
        handle:
          type: string
        namespace:
          type: string
        value:
          type: string
        type:
          type: string
        custom_fieldable_type:
          type: string
        custom_fieldable_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        is_index:
          type: string
      required:
        - name
        - handle
        - namespace
        - value
        - type
        - custom_fieldable_type
        - custom_fieldable_id
        - created_at
        - updated_at
        - is_index
      title: CustomFieldRaw
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````